Zyxel XGS-4526 Managed L2+ Black

Zyxel XGS-4526 Managed L2+ Black

Model XGS-4526Part no. 91-010-197001B/KITEAN 4718937513369

35 specifications
  • Speed1 Gbit/s
  • ConnectivityWired
  • Weight4.8 kg
  • ColourBlack
  • Switch typeManaged
  • Basic switching RJ-45 Ethernet ports quantity25
See all specifications

Overview

Speed
1 Gbit/s
Connectivity
Wired
Weight
4.8 kg
Colour
Black
Switch type
Managed
Basic switching RJ-45 Ethernet ports quantity
25
Brand
Zyxel
Model
XGS-4526
Part numbers
91-010-197001B/KIT, 91-010-197004B, 91-010-197001B, ZY-XGS4526
EAN / UPC
4718937513369, 4718937513550, 4718937562381, 5053959460116
Also known as
Zyxel XGS-4526 Managed L2+ Black

Specifications

35 specifications in 11 groups

Management features

SpecificationValue
Switch typeManaged
Switch layerL2+
Quality of Service (QoS) supportYes
Web-based managementYes
MIB supportRFC 1066 TCP/IP, RFC 1213, 1157 SNMP v2c/v3 MIB, RFC 2011, 2012, 2013 SNMP v2 MIB, RFC 1493, RFC 2674, RFC 1643, RFC 2358, RFC 1757 RMON, RFC 2819, 2925

Ports & interfaces

SpecificationValue
Basic switching RJ-45 Ethernet ports quantity25
Gigabit Ethernet (copper) ports quantity24

Network

SpecificationValue
Networking standardsIEEE 802.1D, IEEE 802.1p, IEEE 802.1Q, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ad, IEEE 802.3u, IEEE 802.3x
10G supportYes
Routing entries512
Auto MDI/MDI-XYes
IP address table2000
Link aggregationYes

Data transmission

SpecificationValue
MAC address table8000 entries
Supported data transfer rates10/100/1000 Mbps
Switching capacity96 Gbit/s
Maximum data transfer rate1 Gbit/s

Security

SpecificationValue
DHCP featuresDHCP server, DHCP client
Access Control List (ACL)Yes
MAC address filteringYes
SSH/SSL supportYes
Static port securityYes

Design

SpecificationValue
StackableYes
Product colourBlack

Power

SpecificationValue
Power consumption (typical)62.8 W

Power over Ethernet (PoE)

SpecificationValue
Power over Ethernet (PoE)No

Other features

SpecificationValue
Data transfer rate71.5 Mbit/s
Dimensions (WxDxH)438 x 310 x 44.5 mm
Connectivity technologyWired
Power requirements100-240V AC, 50/60 Hz
Expansion slots1 x 10G

Operational conditions

SpecificationValue
Operating temperature (T-T)0 - 45 °C
Storage temperature (T-T)-25 - 70 °C
Operating relative humidity (H-H)10 - 90%

Weight & dimensions

SpecificationValue
Weight4.8 kg

What people say

Reviews & ratings

Zyxel XGS-4526 Managed L2+ Black

No reviews yet

Be the first to tell others how Zyxel XGS-4526 Managed L2+ Black works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does Zyxel XGS-4526 Managed L2+ Black work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

Compare Zyxel XGS-4526 Managed L2+ Black

All network switch comparisons

Similar products

All network switches